No puedo instalar pygame con pip para Python 3.7 – El comando “python setup.py egg_info” falló con el código de error 1

Me sale el siguiente error cuando bash instalar pygame con pip:

Command "python setup.py egg_info" failed with error code 1 in C:\Users\danie\AppData\Local\Temp\pip-install-8zxzuqef\pygame\ 

No sé qué significa esto, y cuando busco en otros lugares me dice que arregle mis variables de entorno. Pero todavía no funciona.

Actualización: Pygame 1.9.4 ha sido lanzado y puedes descargarlo e instalarlo nuevamente con pip. En Windows recomiendo instalarlo con: py -3.7 -m pip install pygame


Todavía no hay paquetes oficiales de pygame precomstackdos para Python 3.7, por lo que pip install pygame no funciona, pero puede obtener una rueda de pygame desde: https://www.lfd.uci.edu/~gohlke/pythonlibs/#pygame

Descargue pygame‑1.9.3‑cp37‑cp37m‑win_amd64.whl si tiene una versión Python de 64 bits o pygame‑1.9.3‑cp37‑cp37m‑win32.whl si tiene una versión de 32 bits. Luego abra la línea de comandos, navegue al directorio que contiene el archivo de rueda e instálelo con pip:

 py -3.7 -m pip install pygame‑1.9.3‑cp37‑cp37m‑win_amd64.whl 

Esta solución solo funciona en Windows, por lo que los usuarios con otros sistemas operativos tienen que esperar y usar Python 3.6.

Tratar :

 pip install --upgrade setuptools